commit: 6030fbef207d9909a9b53078b9fbe824a3ff5fc1
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 7 21:36:29 2017 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Apr 7 21:40:01 2017 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=6030fbef
kde-apps/konsolekalendar: Remove colliding calendarjanitor translations
Package-Manager: Portage-2.3.3, Repoman-2.3.1
kde-apps/konsolekalendar/konsolekalendar-17.04.49.9999.ebuild | 8 +++++++-
kde-apps/konsolekalendar/konsolekalendar-9999.ebuild | 8 +++++++-
2 files changed, 14 insertions(+), 2 deletions(-)
diff --git a/kde-apps/konsolekalendar/konsolekalendar-17.04.49.9999.ebuild
b/kde-apps/konsolekalendar/konsolekalendar-17.04.49.9999.ebuild
index 16dab1145b..f64d77c1b1 100644
--- a/kde-apps/konsolekalendar/konsolekalendar-17.04.49.9999.ebuild
+++ b/kde-apps/konsolekalendar/konsolekalendar-17.04.49.9999.ebuild
@@ -28,6 +28,12 @@ DEPEND="
RDEPEND="${DEPEND}"
src_prepare() {
- cmake_comment_add_subdirectory calendarjanitor
kde5_src_prepare
+
+ # delete colliding calendarjanitor translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ rm po/*/calendarjanitor.po || die
+ fi
+
+ cmake_comment_add_subdirectory calendarjanitor
}
diff --git a/kde-apps/konsolekalendar/konsolekalendar-9999.ebuild
b/kde-apps/konsolekalendar/konsolekalendar-9999.ebuild
index 16dab1145b..f64d77c1b1 100644
--- a/kde-apps/konsolekalendar/konsolekalendar-9999.ebuild
+++ b/kde-apps/konsolekalendar/konsolekalendar-9999.ebuild
@@ -28,6 +28,12 @@ DEPEND="
RDEPEND="${DEPEND}"
src_prepare() {
- cmake_comment_add_subdirectory calendarjanitor
kde5_src_prepare
+
+ # delete colliding calendarjanitor translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ rm po/*/calendarjanitor.po || die
+ fi
+
+ cmake_comment_add_subdirectory calendarjanitor
}